using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ApiB.Localization;
using Volo.Abp.Application.Services;
using ApiA;

namespace ApiB
{
    /* Inherit your application services from this class.
     */
    public class ApiBAppService : ApplicationService
    {
        private readonly IApiAAppService _apiAAppService;

        protected ApiBAppService(IApiAAppService apiAAppService)
        {
            _apiAAppService = apiAAppService;
            LocalizationResource = typeof(ApiBResource);
        }

        public async Task<List<string>> GetAListAsync()
        {
            return await _apiAAppService.GetListAsync(new ApiAListInputDto() {ParameterOne = "one"});
        }
    }
}